//+------------------------------------------------------------------+
//|                                                      mIBFXHedge  |
//|                               Copyright  2008, Julius Figueroa  |
//|                                          trader101@Optonline.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Julius Figueroa"
#property link      "trader101@optonline.net"

#property show_inputs
#include <WinUser32.mqh>
#include <stdlib.mqh>

extern double  Lot = 0.01;
extern int     MagicNumber=2;
extern string  TradeComment="Core 5 Sell";


bool CheckIfTradeAlreadyExists(string symbol)
   {
      if (OrdersTotal()==0) return(false);
      for (int cc=0; cc<OrdersTotal();cc++)
      {
         OrderSelect(cc, SELECT_BY_POS);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNumber) return(true);
      }
      return(false);
   
   }// end bool CheckTrendExists()

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
   
   int TradesSent=0;
   
   bool TradeExists = CheckIfTradeAlreadyExists("GBPUSDm");
   if (!TradeExists) int ticket = OrderSend("GBPUSDm",OP_SELL, Lot, MarketInfo("GBPUSDm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
   if (ticket > -1) TradesSent++;
   
 //  TradeExists = CheckIfTradeAlreadyExists("EURGBPm");
 //  if (!TradeExists) ticket = OrderSend("EURGBPm",OP_SELL, Lot, MarketInfo("EURGBPm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
 //  if (ticket > -1) TradesSent++;
   
 //  TradeExists = CheckIfTradeAlreadyExists("GBPCHFm");
 //  if (!TradeExists) ticket = OrderSend("GBPCHFm",OP_SELL, Lot, MarketInfo("GBPCHFm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
 //  if (ticket > -1) TradesSent++;
   
 //  TradeExists = CheckIfTradeAlreadyExists("CHFJPYm");
 //  if (!TradeExists) ticket = OrderSend("CHFJPYm",OP_SELL, Lot, MarketInfo("CHFJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
 //  if (ticket > -1) TradesSent++;
   
   TradeExists = CheckIfTradeAlreadyExists("AUDJPYm");
   if (!TradeExists) ticket = OrderSend("AUDJPYm",OP_SELL, Lot, MarketInfo("AUDJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
   if (ticket > -1) TradesSent++;
   
   TradeExists = CheckIfTradeAlreadyExists("EURJPYm");
   if (!TradeExists) ticket = OrderSend("EURJPYm",OP_SELL, Lot, MarketInfo("EURJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
   if (ticket > -1) TradesSent++;
   
//   TradeExists = CheckIfTradeAlreadyExists("USDCHFm");
//   if (!TradeExists) ticket = OrderSend("USDCHFm",OP_SELL, Lot, MarketInfo("USDCHFm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
   
   
//   TradeExists = CheckIfTradeAlreadyExists("NZDJPYm");
//   if (!TradeExists) ticket = OrderSend("NZDJPYm",OP_SELL, Lot, MarketInfo("NZDJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
//   TradeExists = CheckIfTradeAlreadyExists("AUDUSDm");
//   if (!TradeExists) ticket = OrderSend("AUDUSDm",OP_SELL, Lot, MarketInfo("AUDUSDm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
//   TradeExists = CheckIfTradeAlreadyExists("USDJPYm");
//   if (!TradeExists) ticket = OrderSend("USDJPYm",OP_SELL, Lot, MarketInfo("USDJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
//   TradeExists = CheckIfTradeAlreadyExists("EURUSDm");
//   if (!TradeExists) ticket = OrderSend("EURUSDm",OP_SELL, Lot, MarketInfo("EURUSDm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
//   TradeExists = CheckIfTradeAlreadyExists("EURCHFm");
//   if (!TradeExists) ticket = OrderSend("EURCHFm",OP_SELL, Lot, MarketInfo("EURCHFm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
//   if (ticket > -1) TradesSent++;
   
   TradeExists = CheckIfTradeAlreadyExists("GBPJPYm");
   if (!TradeExists) ticket = OrderSend("GBPJPYm",OP_SELL, Lot, MarketInfo("GBPJPYm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
   if (ticket > -1) TradesSent++;
   
   TradeExists = CheckIfTradeAlreadyExists("NZDUSDm");
   if (!TradeExists) ticket = OrderSend("NZDUSDm",OP_SELL, Lot, MarketInfo("NZDUSDm",MODE_BID), 2, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
   if (ticket > -1) TradesSent++;
   
   
   MessageBox("This script opened " + TradesSent + " trades.","Information");
   
   return(0);
  }
//+------------------------------------------------------------------+